/**
 * 
 */
package ch.ethz.se.rpnc.node;

import ch.ethz.se.rpnc.visitor.Visitor;

/**
 * Plus-operator.
 */
public class DivideByOperator extends Operator
{
	/**
	 * Create new divide-by-operator.
	 */
	public DivideByOperator() 
	{
		super("/");
	}

	/**
	 * Implement double dispatch using this operator and the specific visitor passed as argument.
	 * @see ch.ethz.se.rpnc.node.Node#accept(ch.ethz.se.rpnc.visitor.Visitor)
	 */
	public void accept(Visitor visitor) throws Exception
	{
		visitor.visit(this);
	}

}
